Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.ui
Class ConsoleApplet

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  java.applet.Applet
                      javax.swing.JApplet
                          groovy.ui.ConsoleApplet

    class ConsoleApplet
    extends JApplet

Created by IntelliJ IDEA. User: Danno.Ferrin Date: Jun 20, 2008 Time: 7:12:09 PM

Field Summary

Fields inherited from class JApplet
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Applet
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Panel
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Container
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Component
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Property Summary
`Console` | `console`

Constructor Summary
`ConsoleApplet()`

Method Summary
`void` | `start()`
`void` | `stop()`

Methods inherited from class JApplet
remove, update, setLayout, getAccessibleContext, getGraphics, repaint, getRootPane, getTransferHandler, setTransferHandler, getContentPane, getGlassPane, getJMenuBar, getLayeredPane, setContentPane, setGlassPane, setJMenuBar, setLayeredPane, init, start, destroy, stop, resize, resize, getCodeBase, getLocale, isActive, getParameter, getImage, getImage, getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getDocumentBase, getParameterInfo, newAudioClip, play, play, setStub, showStatus, addNotify, add, add, add, add, add, remove, list, list, print, removeAll, validate, invalidate, getLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getListeners, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paint, paintComponents, preferredSize, printComponents, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, getSize, getSize, setSize, setSize, isOpaque, disable, enable, enable, isValid, location, action, setLocation, setLocation, setLocale, setEnabled, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, requestFocus, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Applet
init, start, destroy, stop, resize, resize, getCodeBase, getLocale, isActive, getParameter, getAccessibleContext, getImage, getImage, getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getDocumentBase, getParameterInfo, newAudioClip, play, play, setStub, showStatus, addNotify, add, add, add, add, add, remove, remove, list, list, print, removeAll, update, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getListeners, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paint, paintComponents, preferredSize, printComponents, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, getSize, getSize, setSize, setSize, isOpaque, disable, enable, enable, isValid, location, action, setLocation, setLocation, setLocale, setEnabled, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, requestFocus, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Panel
addNotify, getAccessibleContext, add, add, add, add, add, remove, remove, list, list, print, removeAll, update, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getListeners, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paint, paintComponents, preferredSize, printComponents, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, getSize, getSize, setSize, setSize, resize, resize, isOpaque, disable, enable, enable, isValid, location, action, setLocation, setLocation, setLocale, getLocale, setEnabled, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, requestFocus, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Container
add, add, add, add, add, remove, remove, list, list, print, removeAll, update, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getListeners, getComponentCount, getComponentAt, getComponentAt, addContainerListener, addNotify, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paint, paintComponents, preferredSize, printComponents, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, getSize, getSize, setSize, setSize, resize, resize, isOpaque, disable, enable, enable, isValid, location, action, setLocation, setLocation, setLocale, getLocale, setEnabled, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getAccessibleContext, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, requestFocus, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Component
add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, list, list, print, getSize, getSize, setSize, setSize, resize, resize, isOpaque, disable, enable, enable, update, isValid, location, action, setLocation, setLocation, setLocale, validate, getLocale, invalidate, setEnabled, isEnabled, layout, show, show, hide, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getListeners, getPropertyChangeListeners, getPropertyChangeListeners, getComponentAt, getComponentAt, addNotify, applyComponentOrientation, areFocusTraversalKeysSet, deliverEvent, dispatchEvent, doLayout, getAccessibleContext, getAlignmentX, getAlignmentY, getFocusCycleRootAncestor, getFocusTraversalKeys, getFont, getGraphicsConfiguration, getMaximumSize, getMinimumSize, getMousePosition, getPeer, getPreferredSize, getTreeLock, handleEvent, isDisplayable, isFocusCycleRoot, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, locate, minimumSize, paint, postEvent, preferredSize, removeNotify, requestFocus, setFocusTraversalKeys, setFont, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### console

    Console console

Constructor Detail

### ConsoleApplet

    ConsoleApplet()

Method Detail

### start

    public void start()

### stop

    public void stop()

Copyright © 2003-2009 The Codehaus. All rights reserved.